#
# Conditional build:
%bcond_without	python2	# CPython 2.x module
%bcond_without	python3	# CPython 3.x module
%bcond_without	tests	# unit tests

%define 	module	dtopt
Summary:	Add options to doctest examples while they are running
Summary(pl.UTF-8):	Dodawanie opcji do przykładów doctest w trakcie ich działania
Name:		python-%{module}
Version:	0.1
Release:	13
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/dtopt/
Source0:	https://files.pythonhosted.org/packages/source/d/dtopt/dtopt-%{version}.tar.gz
# Source0-md5:	9a41317149e926fcc408086aedee6bab
URL:		https://pypi.org/project/dtopt/
%if %{with python2}
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 1:3.2
BuildRequires:	python3-modules >= 1:3.2
BuildRequires:	python3-setuptools
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
dtopts adds options to doctest examples while they are running. When
using the doctest module it is often convenient to use the ELLIPSIS
option, which allows you to use ... as a wildcard. But you either have
to setup the test runner to use this option, or you must put
"#doctest: +ELLIPSIS" on every example that uses this feature. dtopt
lets you enable this option globally from within a doctest, by doing:
>>> from dtopt import ELLIPSIS

%description -l pl.UTF-8
dtopts dodaje opcje do przykładów doctest w trakcie ich działania.
Przy korzystaniu z modułu doctest często wygodne jest użycie opcji
ELLIPSIS, pozwalającej na użycie ... jako maski globalnej. Ale albo
trzeba konfigurować narzędzie uruchamiające do użycia tej opcji, albo
umieszczać "#doctest: +ELLIPSIS" przy każdym przykładzie używającym
tej opcji. dtopt pozwala włączyć tę opcję globalnie z poziomu doctest
poprzez:
>>> from dtopt import ELLIPSIS

%package -n python3-dtopt
Summary:	Add options to doctest examples while they are running
Summary(pl.UTF-8):	Dodawanie opcji do przykładów doctest w trakcie ich działania
Group:		Libraries/Python

%description -n python3-dtopt
dtopts adds options to doctest examples while they are running. When
using the doctest module it is often convenient to use the ELLIPSIS
option, which allows you to use ... as a wildcard. But you either have
to setup the test runner to use this option, or you must put
"#doctest: +ELLIPSIS" on every example that uses this feature. dtopt
lets you enable this option globally from within a doctest, by doing:
>>> from dtopt import ELLIPSIS

%description -n python3-dtopt -l pl.UTF-8
dtopts dodaje opcje do przykładów doctest w trakcie ich działania.
Przy korzystaniu z modułu doctest często wygodne jest użycie opcji
ELLIPSIS, pozwalającej na użycie ... jako maski globalnej. Ale albo
trzeba konfigurować narzędzie uruchamiające do użycia tej opcji, albo
umieszczać "#doctest: +ELLIPSIS" przy każdym przykładzie używającym
tej opcji. dtopt pozwala włączyć tę opcję globalnie z poziomu doctest
poprzez:
>>> from dtopt import ELLIPSIS

%prep
%setup -q -n %{module}-%{version}

# Remove bundled egg info
%{__rm} -r *.egg-info

%build
%if %{with python2}
%py_build

%if %{with tests}
PYTHONPATH=$(pwd) \
%{__python} dtopt/tests.py
%endif
%endif

%if %{with python3}
%py3_build

%if 0 && %{with tests}
# as of 0.1, uses python2 syntax
PYTHONPATH=$(pwd) \
%{__python3} dtopt/tests.py 2>&1 | tee tests.log
# "one error is good"
grep -q ' 1 failures' tests.log
%endif
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%{__rm} $RPM_BUILD_ROOT%{py_sitescriptdir}/dtopt/tests.py*
%py_postclean
%endif

%if %{with python3}
%py3_install

%{__rm} $RPM_BUILD_ROOT%{py3_sitescriptdir}/dtopt/tests.py
# probably won't be compiled due to python2 syntax
rm -f $RPM_BUILD_ROOT%{py3_sitescriptdir}/dtopt/__pycache__/tests.cpython-*.py*
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/*.txt
%{py_sitescriptdir}/dtopt
%{py_sitescriptdir}/dtopt-%{version}-py*.egg-info

%if %{with python3}
%files -n python3-dtopt
%defattr(644,root,root,755)
%doc docs/*.txt
%{py3_sitescriptdir}/dtopt
%{py3_sitescriptdir}/dtopt-%{version}-py*.egg-info
%endif
%changelog
* Wed Mar 30 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-dtopt.git;a=log;h=master

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 989fe93
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 65feeb3
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> c6f9535
- rebuild with python 3.10

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 41b491b
- release 10 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 7e45c6b
- rebuild with python 3.8
- release 9 (by relup.sh)

* Fri Jul 20 2018 Jakub Bogusz <qboosh@pld-linux.org> c3f99d7
- pl, actually run tests (python2 only)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 64d093b
- python 3.7 rebuild
- release 8 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 7d322f2
- python 3.6
- release 7 (by relup.sh)

* Sun Nov 29 2015 Elan Ruusamäe <glen@delfi.ee> f26bd63
- adapter

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 200a0b9
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 275d7df
- release 6 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 165453a
- semi-automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 527ba2d
- release 5 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> a8a8509
- python 3.5 rebuild
- release 4 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 4f28690
- python 3.4
- release 3 (by relup.sh)

* Sat Mar 09 2013 Elan Ruusamäe <glen@delfi.ee> 1f3ba1d
- missing dir for py3 module

* Sat Mar 09 2013 Elan Ruusamäe <glen@delfi.ee> d6bdfa6
- Require python3 modules for testing (distutils)

* Sat Mar 09 2013 Elan Ruusamäe <glen@delfi.ee> 868f486
- use python3-distribute for packagename for setuptools dep

* Sat Mar 09 2013 Elan Ruusamäe <glen@delfi.ee> b3660d7
- new, version 0.1

